# Generated by Django 4.0.1 on 2022-02-17 11:42

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('stores', '0002_alter_category_slug'),
    ]

    operations = [
        migrations.CreateModel(
            name='SoldRecord',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('total_amount', models.DecimalField(decimal_places=2, max_digits=7)),
                ('sold_quantity', models.PositiveIntegerField()),
                ('sold_date', models.DateTimeField(auto_now_add=True)),
                ('book', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='book_sold', to='stores.book')),
            ],
        ),
    ]
